/*
 * @Author: 634665781 634665781@qq.com
 * @Date: 2023-12-06 09:16:37
 * @LastEditors: 634665781 634665781@qq.com
 * @LastEditTime: 2023-12-11 16:46:25
 * @FilePath: \xform\src\core\widgets\settings\groupStyle\Formatting\index.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import React from 'react'
import { Input, Dropdown, Menu, Select } from 'antd'
import { PlusOutlined } from '@ant-design/icons'
import styles from './index.less'

const options = [
  { label: '整数', value: '${整数}' },
  { label: '小数', value: '${小数}' },
  { label: '货币', value: '${货币}' },
  { label: '百分比', value: '${百分比}' },
  { label: '科学计数法', value: '${科学计数法}' }
]

const Formatting = (props) => {

  const { value, onChange, addons } = props

  const inputChange = (e) => {
    onChange(e.target.value)
  }

  const menuClick = (item) => {
    onChange(item.value)
  }

  const selectChange = (value) => {
    onChange(value)
  }

  return (
    <div className={styles.formatting}>
      <Select
        value={value}
        style={{ width: '100%', color: options.map(v => v.value).includes(value) ? '#4096ff' : '' }}
        options={options}
        onChange={selectChange}
        allowClear
      >
      </Select>
      {/* <Input
        style={{ color: options.map(v => v.key).includes(value) ? '#4096ff' : '' }}
        value={value}
        onChange={inputChange}
      >
      </Input>
      <div className={styles.formattingIcon}>
        <Dropdown
          overlay={(
            <Menu
              onClick={menuClick}
              items={options}
            />
          )}
          trigger='click'
        >
          <PlusOutlined />
        </Dropdown>
      </div> */}
    </div>
  )

}

export default Formatting